View Issue Details

IDProjectCategoryView StatusLast Update
0005222Talerbank (demonstrator)public2018-04-15 20:34
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.5Fixed in Version0.5 
Summary0005222: Resume the "middleware" way to handle errors
DescriptionError handling is done within the view source file, and basically "spread"
throughout it; we could move away the error handling code by using the
middleware API provided by Django.

This way we'd have one unique file where all the exceptions are caught,
so it'd make easier to keep this side under control.
Additional InformationWould be also nice if test cases will trigger any existing exception and
check they are well-formed.
TagsNo tags attached.

Activities

Marcello Stanisci

2017-12-23 11:09

manager   ~0012701

Fixed @ cb0ec0a.

Issue History

Date Modified Username Field Change
2017-12-15 16:23 Marcello Stanisci New Issue
2017-12-15 16:23 Marcello Stanisci Status new => assigned
2017-12-15 16:23 Marcello Stanisci Assigned To => Marcello Stanisci
2017-12-15 16:25 Marcello Stanisci Target Version => 0.6
2017-12-15 16:25 Marcello Stanisci Additional Information Updated View Revisions
2017-12-19 17:43 Marcello Stanisci Description Updated View Revisions
2017-12-23 11:09 Marcello Stanisci Note Added: 0012701
2017-12-23 11:10 Marcello Stanisci Status assigned => resolved
2017-12-23 11:10 Marcello Stanisci Resolution open => fixed
2017-12-28 17:27 Christian Grothoff Fixed in Version => 0.5
2017-12-28 17:27 Christian Grothoff Target Version 0.6 => 0.5
2018-04-15 20:34 Christian Grothoff Status resolved => closed